Subject: How do I remove the machine name from From:(not use-only-domain-name)

From: John Cullen <[email-masked]>
Date: Mon, 18 Jul 1994 15:47:58 +0100

Dear All,

Situation:	pine3.89 running on Linux box (mailserver)
		pine3.89 running on DECstation (user machine)
		imapd running on mailserver

I have tried various combinations of configuration file but with no 
success. When our email users send mail internally, or Cc: a copy to 
themselves, the "From:" part of the address always reads:

	From: 	[email-masked]

(where rosa is the name of our mailhost).

I have tried setting the use-domain-name-only option, and also setting 
the user-domain explicitly (separately and in combination for these 
options -- and I know that the latter means the former is not used!)

When I examine the mail headers directly, the From: line simply has the 
username (eg. From: jjsc) with the full name and machine.host part being 
added by Pine. So, my question is, is there any way to force pine to 
_always_ use only the domain (esb.ucp.pt) in this case, for _any_ local 
address?

If I've overlooked something obvious, flame me, but tell me first what I 
missed!

Many thanks in advance,

John 

---------------------------------------------------------------------------
Escola Superior de Biotecnologia	| Email:	[email-masked]
Universidade Catolica Portuguesa	| Phone:	+351 2 558 0073
Rua Dr. Antonio Bernadino de Almeida	| Fax:		+351 2 590 351
4200 PORTO				|
Portugal				| #include <std.disclaimer>